Page MenuHomePhabricator

Fatal error: Call to a member function msg() on a non-object at Preferences.php
Closed, ResolvedPublic

Description

http://p.defau.lt/?nKlJW_iuVfeBpVVfcqpruw

[23-Oct-2012 23:11:57] Fatal error: Call to a member function msg() on a non-object at /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php on line 1207
Server: mw26
Method: GET
URL: http://en.wikipedia.org/wiki/Special:Preferences
Backtrace:
#0 /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php(1207): Preferences::validateSignature()
#1 [internal function]: Preferences::validateSignature('<small>'''[[Use...', Array, NULL)
#2 /usr/local/apache/common-local/php-1.21wmf2/includes/HTMLForm.php(1143): call_user_func(Array, '<small>'''[[Use...', Array, NULL)
#3 /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php(107): HTMLFormField->validate('<small>'''[[Use...', Array)
#4 /usr/local/apache/common-local/php-1.21wmf2/includes/Preferences.php(1243): Preferences::getPreferences(Object(User), Object(RequestContext))
#5 /usr/local/apache/common-local/php-1.21wmf2/includes/specials/SpecialPreferences.php(60): Preferences::getFormObject(Object(User), Object(RequestContext))
#6 /usr/local/apache/common-local/php-1.21wmf2/includes/SpecialPage.php(599): SpecialPreferences->execute(NULL)
#7 /usr/local/apache/common-local/php-1.21wmf2/includes/SpecialPageFactory.php(497): SpecialPage->run(NULL)
#8 /usr/local/apache/common-local/php-1.21wmf2/includes/Wiki.php(291): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#9 /usr/local/apache/common-local/php-1.21wmf2/includes/Wiki.php(554): MediaWiki->performRequest()
#10 /usr/local/apache/common-local/php-1.21wmf2/includes/Wiki.php(447): MediaWiki->main()
#11 /usr/local/apache/common-local/php-1.21wmf2/index.php(59): MediaWiki->run()
#12 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#13 {main}


Version: 1.21.x
Severity: blocker

Details

Reference
bz41337

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz41337.
Reedy created this task.Oct 23 2012, 11:20 PM

Though 1.21 is still some time away, marking as blocker. Fatal errors are unacceptable.

IAlex added a comment.Nov 1 2012, 9:08 PM

Fix pending review in Gerrit change 31321.

Patch in Gerrit needs rework according to review. Help welcome I guess.

IAlex: Do you plan to rework your patch in Gerrit, or should this bug report be reassigned to default "nobody"?

IAlex: Do you plan to rework your patch in Gerrit, or should this bug report be
reassigned to default "nobody"?

Okay, updated patches now available in Gerrit. Thanks. :)

https://gerrit.wikimedia.org/r/31321 (Gerrit Change I5826d6e3f1262c8d26af0cfe7074a939f80bcaca) | change APPROVED and MERGED [by jenkins-bot]

IAlex added a comment.May 15 2013, 8:58 AM

And merged (finally :))

Thank you Alexandre for your patience =)